Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01920 Graphics Minor Always Jun 21, 2008, 18:48 Nov 5, 2018, 18:24
Tester tasuku View Status Public Platform MAME (Self-compiled)
Assigned To hap Resolution Fixed OS
Status [?] Resolved Driver taito_f3.cpp
Version 0.125u6 Fixed in Version 0.203 Build C2D
Fixed in Git Commit Github Pull Request #
Summary 01920: gunlock, rayforce, rayforcej: Enemy laser is too short in the 3rd stage.
Description Enemy laser is too short in the 3rd stage.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems gunlock, rayforce, rayforcej
Attached Files
png file icon rayf_st3.png (21,218 bytes) Jun 21, 2008, 18:48
png file icon st3_for_saturn.png (27,787 bytes) Jun 21, 2008, 18:49
zip file icon rayforce.zip (159,577 bytes) Nov 5, 2018, 13:15 Uploaded by MetalGod
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.01350
tasuku
Tester
Jun 21, 2008, 18:50
Reference : for SATURN VERSION ScreenShot. (on SSF)
User avatar
No.01351
Fujix
Administrator
Jun 21, 2008, 20:15
edited on: May 17, 2009, 19:48
Please make sure that you cite a material only from the real arcade for primary reference.
We don't have any answer to "Devs don't emulate the Saturn version of Rayforce".

Also check #7 of Rules and Guidelines: http://mametesters.org/rules.html

As for this one, I know it is true in the PCB as well, so I make it confirmed.
User avatar
No.01354
tasuku
Tester
Jun 21, 2008, 23:52
I'm sorry...
User avatar
No.01365
nicolasa
Developer
Jun 23, 2008, 18:08
BTW, thanks for all these beautiful bug reports. Keep 'em coming.
User avatar
No.15741
MetalGod
Senior Tester
Nov 5, 2018, 13:14
edited on: Nov 5, 2018, 13:16
Tested on mame 0.203.
The issue is solved
I've uploaded a savestate (rayforce.zip)


Arcade pcb comparison (7:39):
User avatar
No.15742
hap
Developer
Nov 5, 2018, 15:26
edited on: Nov 5, 2018, 18:24
The bug happens in 0.202. When I was testing my 68020 CMP2 opcode bugfix, this was one of the games that uses it, I suspect that it was the cause to this bug.

*edit* yup, confirmed